Cant Install Expo on iOS Simulator


#1

Hi,

I’m having issues launching Expo on the ios simulator to test my app. The app is a new project generated without any changes. My iOS simulator is iOS 11.0.

Here’s the error:

Error running xcrun simctl install booted /Users/nickabbene/.expo/ios-simulator-app-cache/Exponent-1.18.2.app: An error was encountered processing the command (domain=IXUserPresentableErrorDomain, code=2):
This app was unable to be installed.
11:03:36 AM
Error installing or running app. Error: Process exited with non-zero code: 2


#2

Expo and it’s tooling is not yet compatible with Xcode 9 / iOS 11. Please use Xcode 8/iOS 10 simulators


#3

When does Expo plan to support 11?


#4

When it’s out of beta!


#5

I resolved it by re installing the old xcode 8 version…
But the simuloator that comes up is smaller than before…

Is there a way I can load a bigger simuloator like for ios 10 ?

And how to make it as default simulator ?


#6

Window > Scale > [Diff zoom %s]

or just click and drag in the corner to resize